<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".main_screen.HomeFragment">

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="130dp"
        android:background="@color/gray_btn"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Your Home"
            android:textColor="@color/white"
            android:fontFamily="@font/inter"
            android:textSize="30sp"
            android:layout_marginTop="20dp"
            android:layout_marginStart="20dp" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="#80FFFFFF"
            android:fontFamily="@font/inter"
            android:text="2715 Ash Dr. San Jose, South Dakota 83475"
            android:layout_marginStart="20dp"
            android:drawableLeft="@drawable/ic_location"
            android:drawablePadding="5dp"
            />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="3dp">

            <com.google.android.material.tabs.TabLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                android:background="@color/gray_btn"
                app:tabTextColor="@color/white"
                >

                <com.google.android.material.tabs.TabItem
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Room" />

            </com.google.android.material.tabs.TabLayout>

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/add_room_btn"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:background="@drawable/addbtn_shape"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                android:text="+"
                android:textColor="@color/white"
                android:fontFamily="@font/inter"
                android:textSize="20sp"
                android:textAlignment="center"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginEnd="10dp"/>


        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rooms_rec"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/ll"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginTop="20dp"
        android:layout_marginStart="20dp"
        android:rowCount="2"
        app:layoutManager="androidx.recyclerview.widget.StaggeredGridLayoutManager"
        android:orientation="horizontal" />

</androidx.constraintlayout.widget.ConstraintLayout>